members.dev
Events

Update an Event Resource

Updates an Event Resource

PATCH
/v1/events/resources/{resource_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

resource_id*string

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.members.dev/v1/events/resources/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "timezone": "string",
  "archived_at": {},
  "availability": [
    {
      "day": "monday",
      "starts_at_local": "14:15:22Z",
      "ends_at_local": "14:15:22Z",
      "capacity": 0
    }
  ],
  "overrides": [
    {
      "starts_at_local": null,
      "ends_at_local": {},
      "capacity": 0
    }
  ],
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}